﻿<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Informační systém pro dlouhodobé uchovávání digitálních uměleckých prací">
    <meta name="author" content="Martin Mercl">
    <link rel="icon" href="../../favicon.ico">
    <title>ART - install IS</title>
    <link href="css/bootstrap.min.css" rel="stylesheet">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
</head>
<body>

<nav class="navbar navbar-default">
  <div class="container">
    <div class="navbar-header">
      <span class="navbar-brand" >ART - instalace jádra IS</span>
    </div>
  </div>
</nav>

<div class="container">
<?php
// připojení databáze
require('conn.php');
if ($mysqli) echo '<div class="alert alert-success" role="alert">Databáze úspěšně připojena</div>';

// overeni pristupu do slozek DATA a TMP
$data = 'data/test';
if (@mkdir ( $data)) echo '<div class="alert alert-success" role="alert">Adresár DATA vytvořen</div>';
else  echo '<div class="alert alert-danger" role="alert">Adresár DATA nebyl vytvořen</div>';
if (@rmdir ( $data)) echo '<div class="alert alert-success" role="alert">Adresár TMP odstraněn</div>';
else echo '<div class="alert alert-danger" role="alert">Adresár TMP nebyl odstraněn</div>';
$tmp = 'tmp/test';
if (@mkdir ( $tmp)) echo '<div class="alert alert-success" role="alert">Adresár TMP vytvořen</div>';
else  echo '<div class="alert alert-danger" role="alert">Adresár TMP nebyl vytvořen</div>';
if (@rmdir ( $tmp)) echo '<div class="alert alert-success" role="alert">Adresár TMP odstraněn</div>';
else  echo '<div class="alert alert-danger" role="alert">Adresár TMP nebyl odstraněn</div>';


// vytváření databáze
$dotaz1 = " CREATE TABLE IF NOT EXISTS `directories` (
`IDdir` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `dir` char(100) COLLATE utf8_czech_ci NOT NULL,
  `title` char(100) COLLATE utf8_czech_ci NOT NULL,
  `level` int(2) NOT NULL,
  `structure` char(200) COLLATE utf8_czech_ci NOT NULL,
  `use` char(1) COLLATE utf8_czech_ci NOT NULL,
  `IDauthor` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci  ;";

$dotaz2 = "CREATE TABLE IF NOT EXISTS `files` (
`IDfile` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `IDdir` int(11) NOT NULL,
  `file` char(200) COLLATE utf8_czech_ci NOT NULL,
  `name` char(200) COLLATE utf8_czech_ci NOT NULL,
  `IDauthor` int(11) NOT NULL,
  `status` int(1) NOT NULL DEFAULT '0',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci  ;";

$dotaz3 = "CREATE TABLE IF NOT EXISTS `projects` (
`IDpro` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `IDdir` int(11) NOT NULL,
  `title` char(50) COLLATE utf8_czech_ci NOT NULL,
  `tag` char(200) COLLATE utf8_czech_ci NOT NULL,
  `task` text COLLATE utf8_czech_ci NOT NULL,
  `format` char(100) COLLATE utf8_czech_ci NOT NULL DEFAULT '*',
  `lock` int(11) NOT NULL DEFAULT '1',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_open` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_close` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `IDauthor` int(11) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci ;";

$dotaz4 = "CREATE TABLE IF NOT EXISTS `users` (
`IDuser` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `dir` char(101) NULL,
  `name` char(50) NOT NULL,
  `surname` char(50) NOT NULL,
  `email` char(150) NOT NULL,
  `password` char(128) NOT NULL,
  `class` char(10) NOT NULL,
  `group` char(3) NOT NULL,
  `authorization` int(11) NOT NULL DEFAULT '1',
  `status` int(11) NOT NULL DEFAULT '0',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci ;";

$dotaz5 = " INSERT INTO `users` ( `name`, `surname`, `email`, `password`, `class`, `group`, `authorization`, `status`) VALUES
('Admin', '', 'admin', '021b5b2ac76d969722e8b55d88d7a0c83dc61a73fd15abc98a3538a5154d7e8f0e367d771810cba13341f7ade9818e477dd557b233112a3b14fae374f0d25098', '', 'lek', 0, 0);";

$dotaz6 = "CREATE TABLE IF NOT EXISTS `remove_prepare` (
  `IDprepare` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `IDfile` int(11) NOT NULL DEFAULT '0',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci ;";

$dotaz7 = "CREATE TABLE IF NOT EXISTS `pomucky` (
  `IDpomucky` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `title` char(50) NOT NULL,
  `IDauthor` int(11) NOT NULL DEFAULT '0',
  `kod_up` char(50) NOT NULL,
  `title_up` char(50) NOT NULL,
  `class_up` char(50) NOT NULL,
  `comment_up` text COLLATE utf8_czech_ci NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci ;";

$dotaz8 = "CREATE TABLE IF NOT EXISTS `pomucky_vazane` (
  `IDvazby` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `IDpomucky` int(11) NOT NULL DEFAULT '0',
  `IDprojektu` int(11) NOT NULL DEFAULT '0',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci ;";

// zapis vsech dotazu do db
$end = 1;
for ($i = 1; $i <= $end; $i++)
{
	$poradi = 'dotaz'.$i;
	$dalsi = 'dotaz'.($i+1);
	$vysledek = $mysqli->query($$poradi);
	if (@$vysledek) echo '<div class="alert alert-success" role="alert">Dotaz číslo '.$i.' proveden</div>';
	else  echo '<div class="alert alert-danger" role="alert">Dotaz číslo '.$i.' nebyl proveden</div>';
	if (!empty($$dalsi)) $end++;
}
?>
</div>

</body>
</html>